### Hierarchy

- RunScriptParameterType

## Index

### Properties

- awaitPromise
- executionContextId
- generatePreview
- includeCommandLineAPI
- objectGroup
- returnByValue
- scriptId
- silent

## Properties

### Optional awaitPromise

awaitPromise: undefined | false | true

- Defined in node_modules/@types/node/inspector.d.ts:1716

Whether execution should `await` for resulting value and return once awaited promise is resolved.

### Optional executionContextId

executionContextId: ExecutionContextId

- Defined in node_modules/@types/node/inspector.d.ts:1690

Specifies in which execution context to perform script run. If the parameter is omitted the evaluation will be performed in the context of the inspected page.

### Optional generatePreview

generatePreview: undefined | false | true

- Defined in node_modules/@types/node/inspector.d.ts:1711

Whether preview should be generated for the result.

### Optional includeCommandLineAPI

includeCommandLineAPI: undefined | false | true

- Defined in node_modules/@types/node/inspector.d.ts:1703

Determines whether Command Line API should be available during the evaluation.

### Optional objectGroup

objectGroup: undefined | string

- Defined in node_modules/@types/node/inspector.d.ts:1694

Symbolic group name that can be used to release multiple objects.

### Optional returnByValue

returnByValue: undefined | false | true

- Defined in node_modules/@types/node/inspector.d.ts:1707

Whether the result is expected to be a JSON object which should be sent by value.

### scriptId

scriptId: ScriptId

- Defined in node_modules/@types/node/inspector.d.ts:1685

Id of the script to run.

### Optional silent

silent: undefined | false | true

- Defined in node_modules/@types/node/inspector.d.ts:1699

In silent mode exceptions thrown during evaluation are not reported and do not pause execution. Overrides `setPauseOnException` state.

Generated using TypeDoc